import { ExtendedDateFormat } from '../pipes/extended-date/extended-date.pipe';
export declare class NgxDatatableColumn {
    /**  Name of column shown on the ui */
    name: string;
    /** Name of the field in the result for the column */
    prop: string;
    /**
     * Properties to export - if present, these will be exported - if not, column.prop will be exported
     * In case prop is date, provide additionalProperties instead in order to specify the property type
     */
    additionalProps?: {
        additionalProp: string;
        propertyType?: 'date';
        dateFormat?: ExtendedDateFormat;
    }[];
    /** Used to include custom HTML fragments instead of plain text */
    cellTemplate?: any;
    /** Used to include custom HTML fragments instead of plain text in mobile view */
    mobileCellTemplate?: any;
    /** Shows tooltip on hover to show more information if set to true */
    tooltip?: boolean;
    /** width of column, default is 150 */
    width?: number;
    /** true/false, if column can be resized */
    resizeable?: boolean;
    /** true/false, if column can be sorted */
    sortable?: boolean;
    /** true/false, if column can be dragged/reordered */
    draggable?: boolean;
    /** true/false, if on browser window resize the column can resize accordingly */
    canAutoResize?: boolean;
    /** Boolean indicating if the column should be displayed initially; the user can toggle it on afterwards */
    notDisplayed?: boolean;
    /** Boolean indicating if column should always be displayed (cannot be hidden)  */
    alwaysDisplayed?: boolean;
    /** True if this is the primary column for mobile view; if all are undefined or set to false, the column will be considered as the first column in the array*/
    isMobileViewBaseColumn?: boolean;
    flexGrow?: number;
}
