/*******************************************************************************
 * Copyright (c) Lenovo 2020.
 *
 *  LIMITED AND RESTRICTED RIGHTS NOTICE: If data or software is delivered
 *  pursuant a General Services Administration (GSA) contract, use, reproduction, or
 *  disclosure is subject to restrictions set forth in Contract No. GS-35F-05925.
 ******************************************************************************/
export declare function getSeverityDoughnutPieChartOptions(labels: any): {
    tooltip: {
        trigger: string;
        confine: string;
    };
    title: {
        textStyle: {
            fontSize: number;
            lineHeight: number;
            align: string;
        };
        padding: number;
        left: string;
        top: string;
        subtextStyle: {
            color: string;
            lineHeight: number;
            fontSize: number;
        };
        z: number;
        itemGap: number;
    };
    series: {
        type: string;
        radius: string[];
        avoidLabelOverlap: boolean;
        label: {
            normal: {
                show: boolean;
                position: string;
            };
            emphasis: {
                show: boolean;
                width: number;
            };
        };
        labelLine: {
            normal: {
                show: boolean;
            };
        };
        data: ({
            name: string;
            hoverAnimation: boolean;
            hoverOffset: number;
            tooltip: {
                trigger: string;
            };
            cursor: string;
            itemStyle: {
                color: string;
                borderColor: string;
                borderWidth: number;
                emphasis: {
                    color: string;
                };
            };
        } | {
            name: any;
            key: string;
            itemStyle: {
                color: string;
                borderColor: string;
                borderWidth: number;
            };
        })[];
    }[];
};
export declare function getGeneratorTypePieChartOptions(labels: any): {
    tooltip: {
        trigger: string;
        confine: string;
    };
    title: {
        textStyle: {
            fontSize: number;
            lineHeight: number;
            align: string;
        };
        padding: number;
        left: string;
        top: string;
        subtextStyle: {
            color: string;
            lineHeight: number;
            fontSize: number;
        };
        z: number;
        itemGap: number;
    };
    series: {
        type: string;
        radius: string[];
        avoidLabelOverlap: boolean;
        label: {
            normal: {
                show: boolean;
                position: string;
            };
            emphasis: {
                show: boolean;
                width: number;
            };
        };
        labelLine: {
            normal: {
                show: boolean;
            };
        };
        data: ({
            name: string;
            hoverAnimation: boolean;
            hoverOffset: number;
            tooltip: {
                trigger: string;
            };
            cursor: string;
            itemStyle: {
                color: string;
                borderColor: string;
                borderWidth: number;
                emphasis: {
                    color: string;
                };
            };
        } | {
            name: any;
            key: string;
            itemStyle: {
                color: string;
                borderColor: string;
                borderWidth: number;
            };
        })[];
    }[];
};
export declare function getServicePieChartOptions(labels: any): {
    tooltip: {
        trigger: string;
        confine: string;
    };
    title: {
        textStyle: {
            fontSize: number;
            lineHeight: number;
            align: string;
        };
        padding: number;
        left: string;
        top: string;
        subtextStyle: {
            color: string;
            lineHeight: number;
            fontSize: number;
        };
        z: number;
        itemGap: number;
    };
    series: {
        type: string;
        radius: string[];
        avoidLabelOverlap: boolean;
        label: {
            normal: {
                show: boolean;
                position: string;
            };
            emphasis: {
                show: boolean;
                width: number;
            };
        };
        labelLine: {
            normal: {
                show: boolean;
            };
        };
        data: ({
            name: string;
            hoverAnimation: boolean;
            hoverOffset: number;
            tooltip: {
                trigger: string;
            };
            cursor: string;
            itemStyle: {
                color: string;
                borderColor: string;
                borderWidth: number;
                emphasis: {
                    color: string;
                };
            };
        } | {
            name: any;
            key: string;
            itemStyle: {
                color: string;
                borderColor: string;
                borderWidth: number;
            };
        })[];
    }[];
};
export declare function getSystemTypePieChartOptions(properties: {
    type: string;
    typeStr: string;
}[]): {
    tooltip: {
        trigger: string;
        confine: string;
    };
    title: {
        textStyle: {
            fontSize: number;
            lineHeight: number;
            align: string;
        };
        padding: number;
        left: string;
        top: string;
        subtextStyle: {
            color: string;
            lineHeight: number;
            fontSize: number;
        };
        z: number;
        itemGap: number;
    };
    series: {
        type: string;
        radius: string[];
        avoidLabelOverlap: boolean;
        label: {
            normal: {
                show: boolean;
                position: string;
            };
            emphasis: {
                show: boolean;
                width: number;
            };
        };
        labelLine: {
            normal: {
                show: boolean;
            };
        };
        data: any[];
    }[];
};
export declare function getSeverityHistoryChartOptions(formatterFunction: Function, labels: any): {
    xAxis: {
        type: string;
        nameLocation: string;
        nameGap: number;
    };
    yAxis: {
        type: string;
        name: string;
        nameLocation: string;
        nameGap: number;
    };
    tooltip: {
        trigger: string;
        axisPointer: {
            animation: boolean;
            type: string;
            shadowStyle: {
                color: string;
            };
        };
        formatter: (params: any) => void;
    };
    legend: {
        bottom: number;
        type: string;
        itemGap: number;
        selected: {
            Critical: boolean;
            Warning: boolean;
            Informational: boolean;
        };
    };
    grid: {
        left: string;
    };
    series: {
        name: any;
        key: string;
        type: string;
        smooth: boolean;
        itemStyle: {
            color: string;
        };
    }[];
};
export declare function getGeneratorTypeHistoryChartOptions(formatterFunction: Function, labels: any): {
    xAxis: {
        type: string;
        nameLocation: string;
        nameGap: number;
    };
    yAxis: {
        type: string;
        name: string;
        nameLocation: string;
        nameGap: number;
    };
    tooltip: {
        trigger: string;
        axisPointer: {
            animation: boolean;
            type: string;
            shadowStyle: {
                color: string;
            };
        };
        formatter: (params: any) => void;
    };
    series: {
        name: any;
        key: string;
        type: string;
        smooth: boolean;
        itemStyle: {
            color: string;
        };
    }[];
};
export declare function getSystemTypeHistoryChartOptions(properties: {
    type: string;
    typeStr: string;
}[], formatterFunction: Function): {
    xAxis: {
        type: string;
        nameLocation: string;
        nameGap: number;
    };
    yAxis: {
        type: string;
        name: string;
        nameLocation: string;
        nameGap: number;
    };
    tooltip: {
        trigger: string;
        axisPointer: {
            animation: boolean;
            type: string;
            shadowStyle: {
                color: string;
            };
        };
        formatter: (params: any) => void;
    };
    series: any[];
};
export declare function getServiceHistoryChartOptions(formatterFunction: Function, labels: any): {
    xAxis: {
        type: string;
        nameLocation: string;
        nameGap: number;
    };
    yAxis: {
        type: string;
        name: string;
        nameLocation: string;
        nameGap: number;
    };
    tooltip: {
        trigger: string;
        axisPointer: {
            animation: boolean;
            type: string;
            shadowStyle: {
                color: string;
            };
        };
        formatter: (params: any) => void;
    };
    series: {
        name: any;
        key: string;
        type: string;
        smooth: boolean;
        itemStyle: {
            color: string;
        };
    }[];
};
