import { EventEmitter, OnInit, QueryList, SimpleChanges } from '@angular/core';
import { PopoverDirective } from 'ngx-bootstrap/popover';
import { TableDataInput } from '../../interfaces/tableDataInput';
import { TableFilter } from '../../interfaces/tableFilter';
import { AlertsService } from './alertsService/alerts.service';
import { NgxDatatableComponent } from '../ngx-datatable/ngx-datatable.component';
import * as i0 from "@angular/core";
export declare class AlertsTableComponent implements OnInit {
    private alertsService;
    table: NgxDatatableComponent;
    pop: QueryList<PopoverDirective>;
    tableData: TableDataInput;
    fetchDataFn: Function;
    loadingIndicator: boolean;
    loadingIndicatorChange: EventEmitter<boolean>;
    columnData: any[];
    alertID: string;
    summaryAlerts: any[];
    actionsData: any[];
    contentFilter: string;
    alertsEventEmitter: EventEmitter<{
        refreshAlertsTable: boolean;
        addItem: boolean;
        fromModal: string;
        refreshModalTables: boolean;
    }>;
    selectedRowID: string;
    eventID: string;
    sourceID: string;
    componentID: string;
    tableToolbarFilteringConfig: any[];
    tableToolbarIconsClassConfig: object;
    constructor(alertsService: AlertsService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    initializeTableColumnData(): void;
    getAlertsFilteringConfiguration(): TableFilter[];
    onLoadingIndicatorChange(value: boolean): void;
    onMobileRowClick(row: any): void;
    setSelected(evt?: any): void;
    setDeselected(evt?: any): void;
    getMobileAlertSummary(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlertsTableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlertsTableComponent, "ngx-xcng-alerts-table", never, { "tableData": "tableData"; "fetchDataFn": "fetchDataFn"; "loadingIndicator": "loadingIndicator"; }, { "loadingIndicatorChange": "loadingIndicatorChange"; }, never, never>;
}
