/*******************************************************************************
 * Copyright (c) Lenovo 2020.
 *
 *  LIMITED AND RESTRICTED RIGHTS NOTICE: If data or software is delivered
 *  pursuant a General Services Administration (GSA) contract, use, reproduction, or
 *  disclosure is subject to restrictions set forth in Contract No. GS-35F-05925.
 ******************************************************************************/
import { OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { MobileService } from '../../services/mobileService/mobile-service.service';
import * as i0 from "@angular/core";
export declare type MappingsItem = {
    label: any;
    clickable: boolean;
};
export declare class BreadcrumbMenuComponent implements OnInit {
    router: Router;
    private mobileSvc;
    path: string[];
    copyPath: string[];
    queryParams: {};
    MAPPINGS: {
        [key: string]: MappingsItem;
    };
    constructor(router: Router, mobileSvc: MobileService);
    ngOnInit(): void;
    createPath(): void;
    goTo(link: string): void;
    goToDashboard(): void;
    getLastClickableItemInPath(): string;
    copyCurrentPath(): void;
    /**
     * Modify path in case of jobs detail page
     *
     * Modify Monitoring -> Jobs -> Id to be Monitoring -> Jobs -> Name
     * @param urlTree
     */
    private modifyPathForJobsDetailPage;
    /**
     * Modify path in case of device page
     *
     * Modify Resources -> Servers -> Id -> Summary to be Resources -> Servers -> Name -> Summary
     * @param urlTree
     */
    private modifyPathForDevicePages;
    static ɵfac: i0.ɵɵFactoryDeclaration<BreadcrumbMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BreadcrumbMenuComponent, "ngx-xcng-breadcrumb-menu", never, { "MAPPINGS": "MAPPINGS"; }, {}, never, never>;
}
