/*******************************************************************************
 * Copyright (c) Lenovo 2020.
 *
 *  LIMITED AND RESTRICTED RIGHTS NOTICE: If data or software is delivered
 *  pursuant a General Services Administration (GSA) contract, use, reproduction, or
 *  disclosure is subject to restrictions set forth in Contract No. GS-35F-05925.
 ******************************************************************************/
import { OnInit, AfterViewInit } from '@angular/core';
import { MobileService } from '../../services/mobileService/mobile-service.service';
import * as i0 from "@angular/core";
export declare class QuickAccessListItem {
    /** Title for the shortcut */
    title: string;
    /** Id of the item for the shortcut to point towards. Make sure this is an actual element in the page */
    referenceId: string;
}
export declare class QuickAccessListComponent implements OnInit, AfterViewInit {
    protected mobileSvc: MobileService;
    spacerId: string;
    items: QuickAccessListItem[];
    isPatternDetails: boolean;
    constructor(mobileSvc: MobileService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    scrollToItem(itemId: string): void;
    scrollToTop(): void;
    handleOnScroll(): void;
    removeActiveClassForListItems(): void;
    activateListItemCorrespondingToItemIntoView(items: QuickAccessListItem[]): void;
    modifySpacerHeightOnResize(): void;
    modifySpacerHeight(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QuickAccessListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QuickAccessListComponent, "ngx-xcng-quick-access-list", never, { "spacerId": "spacerId"; "items": "items"; "isPatternDetails": "isPatternDetails"; }, {}, never, never>;
}
export declare function getMaxVisibility(ids: string[]): string;
export declare function calculateVisibilityForDiv(id: string): number;
