/*******************************************************************************
 * Copyright (c) Lenovo 2020.
 *
 *  LIMITED AND RESTRICTED RIGHTS NOTICE: If data or software is delivered
 *  pursuant a General Services Administration (GSA) contract, use, reproduction, or
 *  disclosure is subject to restrictions set forth in Contract No. GS-35F-05925.
 ******************************************************************************/
export interface ModalDialogButton {
    /**Button text */
    name: string;
    /**Button label to be translated */
    label?: string;
    /**Function to perform on click */
    action?: Function;
    /**Style classes to be applied */
    classes?: string;
    /**Button type (button, submit etc) */
    type?: string;
    /**If the button should have the specified formName tag (the formName property is specified as a input property for the DialogModalComponent)*/
    addForm?: boolean;
    /** Button's id */
    id?: string;
    /** Method returning true if the button should be disabled and false otherwise */
    isDisabled?: Function;
    /**Method called when clicked on button */
    onClick?: Function;
    /**Method to enable or disable the button */
    canEnable?: Function;
    /**Object with src and srcDisabled paths of icons */
    img?: {
        src?: string;
        srcDisabled?: string;
    };
}
