/*******************************************************************************
 * Copyright (c) Lenovo 2020.
 *
 *  LIMITED AND RESTRICTED RIGHTS NOTICE: If data or software is delivered
 *  pursuant a General Services Administration (GSA) contract, use, reproduction, or
 *  disclosure is subject to restrictions set forth in Contract No. GS-35F-05925.
 ******************************************************************************/
import { NgxDatatableColumn } from '../classes/ngxDatatableColumn';
import { SortingAndFilteringParamsBuilder } from '../classes/sortingFilteringUtils/sortingFilteringUtils';
import { TableFilter } from './tableFilter';
export interface TableDataInput {
    tableId: string;
    rows: any[];
    total: number;
    showErrorMessage?: boolean;
    sortingAndFilteringBuilder?: SortingAndFilteringParamsBuilder;
    limit: number;
    offset: number;
    page?: number;
    sortData?: {
        prop: string;
        dir: string;
    }[];
    additionalColumns?: NgxDatatableColumn[];
    isFirstFetchActivated?: boolean;
    saveTableSettingsInLocalStorage?: boolean;
    /** When initializing table data, if the table needs to be filtered by default with some unsaved filters, pass the filters through the active filters property */
    activeFilters?: TableFilter[];
}
