/*******************************************************************************
 * Copyright (c) Lenovo 2020.
 *
 *  LIMITED AND RESTRICTED RIGHTS NOTICE: If data or software is delivered
 *  pursuant a General Services Administration (GSA) contract, use, reproduction, or
 *  disclosure is subject to restrictions set forth in Contract No. GS-35F-05925.
 ******************************************************************************/
import { SortingAndFilteringParamsBuilder } from "../../classes/sortingFilteringUtils/sortingFilteringUtils";
import { TableFilter } from "../../interfaces/tableFilter";
export interface PaginationInfo {
    offset: number;
    limit: number;
    sortField?: string;
    sortMode?: 'asc' | 'desc';
    sortingAndFilteringBuilder?: SortingAndFilteringParamsBuilder;
}
export interface ColumnSetting {
    name: string;
    notDisplayed: boolean;
}
export interface PageSetting {
    pageName: string;
    columnSettings?: ColumnSetting[];
    paginationInfo?: PaginationInfo;
}
export interface UiSettings {
    pageSettings: PageSetting[];
}
export interface LocalStorageFilter {
    name: string;
    filters: TableFilter[];
    sortField: string;
    sortMode: 'asc' | 'desc';
    limit: number;
    globalSearchValue?: string;
    isActive?: boolean;
}
